%define modname agenda

Summary: Elastix Module Agenda 
Name:    elastix-agenda
Version: 2.0.0
Release: 8
License: GPL
Group:   Applications/System
Source0: %{modname}_%{version}-%{release}.tgz
Source1: calendarEvent.gsm
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Prereq: elastix >= 2.0

%description
Elastix Module Agenda

%prep
%setup -n %{modname}

%install
rm -rf $RPM_BUILD_ROOT

# Files provided by all Elastix modules
mkdir -p    $RPM_BUILD_ROOT/var/www/html/
mv modules/ $RPM_BUILD_ROOT/var/www/html/

# Additional (module-specific) files that can be handled by RPM
#mkdir -p $RPM_BUILD_ROOT/opt/elastix/
#mv setup/dialer

# The following folder should contain all the data that is required by the installer,
# that cannot be handled by RPM.
mkdir -p    $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/
mv setup/   $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/
mv menu.xml $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/

# Copy required sound file
mkdir -p $RPM_BUILD_ROOT/var/lib/asterisk/sounds/custom/
chown -R asterisk.asterisk /var/lib/asterisk/sounds/custom
cp %{SOURCE1} $RPM_BUILD_ROOT/var/lib/asterisk/sounds/custom/


%post

# Run installer script to fix up ACLs and add module to Elastix menus.
elastix-menumerge /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/menu.xml

# The installer script expects to be in /tmp/new_module
mkdir -p /tmp/new_module/%{modname}
cp -r /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/* /tmp/new_module/%{modname}/
chown -R asterisk.asterisk /tmp/new_module/%{modname}

php /tmp/new_module/%{modname}/setup/installer.php
rm -rf /tmp/new_module

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ $1 -eq 0 ] ; then # Validation for desinstall this rpm
  echo "Delete Agenda menus"
  elastix-menuremove "agenda"
fi

%files
%defattr(-, asterisk, asterisk)
%{_localstatedir}/www/html/*
/usr/share/elastix/module_installer/*
/var/lib/asterisk/sounds/custom/calendarEvent.gsm

%changelog
* Tue Mar 16 2010 Bruno Macias V. <bmacias@palosanto.com> 2.0.0-8
- Defined number order menu.
- Fixed minor bug in module calendar.
- Download ical file from calendar.

* Mon Mar 01 2010 Bruno Macias V. <bmacias@palosanto.com> 2.0.0-7
- Re-write code module calendar, now module support jquery. Version module beta1.

* Tue Jan 19 2010 Bruno Macias V. <bmacias@palosanto.com> 2.0.0-6
- Function getParameter removed in module agenda.

* Fri Jan 08 2010 Alex Villacis Lasso <a_villacis@palosanto.com> 2.0.0-5
- Add calendarEvent.gsm as tracked file, no changes in code.

* Fri Dec 04 2009 Bruno Macias <bmacias@palosanto.com> 2.0.0-4
- Increment release.

* Mon Oct 19 2009 Bruno Macias <bmacias@palosanto.com> 2.0.0-3
- Add accion uninstall rpm. 

* Mon Sep 07 2009 Bruno Macias <bmacias@palosanto.com> 2.0.0-2
- New structure menu.xml, add attributes link and order.

* Wed Aug 26 2009 Bruno Macias <bmacias@palosanto.com> 1.0.0-1
- Initial version.
